"""Constant parameters."""

# !/usr/bin/env python
# -*- coding: utf-8 -*-

# Cordex variables
CORDEX_VARIABLES = ['tasmin', 'tasmax', 'pr']

# parameters defining a Cordex climate simulation
CORDEX_PARAMETERS = ['Variable', 'Domain', 'Gcm', 'Scenario', 'Ensemble',
                     'Rcm', 'Version', 'Frequency', 'Years']

# Cordex experiments
CORDEX_EXPERIMENTS = ['historical', 'evaluation', 'rcp26', 'rcp45', 'rcp85']

# EuroCordex domain identifier
EUROCORDEX_DOMAIN = 'EUR-11'

# EuroCordex global climate models
EUROCORDEX_GCMS = ['MOHC-HadGEM2-ES', 'ICHEC-EC-EARTH', 'CNRM-CNRM-CM5',
                   'NCC-NorESM1-M', 'MPI-ESM-LR', 'IPSL-IPSL-CM5A-MR',
                   'CCCma-CanESM2', 'MIROC-MIROC5']

# EuroCordex regional climate models
EUROCORDEX_RCMS = ['SMHI-RCA4', 'CLMcom-CCLM4-8-17',
                   'CLMcom-ETH-COMSO-crCLIM-v1-1-1', 'MPI-CSC-REMO2009',
                   'GERICS-REMO2015', 'KNMI-RACMO22E', 'DMI-HIRHAM5',
                   'UHOH-WRF361H', 'IPSL-WRF381P', 'CNRM-ALADIN63',
                   'ICTP-RegCM4-6', 'MOHC-HadREM3-GA7-05']

# climate data operator (cdo) resampling modes
CDO_RESAMPLING_MODES = ['bilinear', 'conservative']
